Subject: [CCAMP] comments for draft-ietf-ccamp-alarm-module-06

From: "Xiajinwei (Jinwei Xia, Network)" <[email-masked]>
Date: Fri, 28 Dec 2018 02:30:47 +0000

Dear editors,

As a new comer of CCAMP, I am happy with the good progress of the YANG alarm module and definitely support it.

Since I am working on the alarm design, I have a few comments on this draft:

1, the draft identifies the alarm-type via the combination of alarm-type-id and alarm-type-qualifier. We fully like that, by the way, would we add one complemented and optional leaf, e.g., alarm-name (R-LOS), to briefly indicate the alarm type? While the corresponding alarm-text shows the comprehensive information about this alarm, e.g., the signal is lost on the receiver side.

2, for the alarm instance, the draft uses the triple-keys (resource, alarm-type-id and alarm-type-qualifier) to identify it. From my point of view, the design is great. Besides of the triple-keys identification in our design, we also add a complemented and optional alarm-serial-no leaf to do the same work. An alarm-serial-no is unique to identity one alarm instance, and thus the OSS can locate an alarm via the alarm-serial-no directly and save the time to map the triple-keys one by one. Does it make any sense?

3, for the alarm-type-id, could it be possible to support a union of identity and string? Currently, we have more or less 40000 alarm types in our implementation and the number is still rising right now. The YANG alarm module is still a huge volume when we build our own alarm-type augment.

4, in alarm notification message, the severity information is great to let operator know the alarm state (i.e., cleared, raised and changed). We like that, but it'd be better if there was a definite alarm-category leaf to indicate the brief alarm state regardless of the severity, any thoughts?

Sorry for bringing any inconvenience of the late comments on the WGLC stage. Your feedbacks are very helpful for us :)

Merry Christmas and Happy New Year!

Jinwei